<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ArtifactView.ViewConfiguration (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ArtifactView.ViewConfiguration (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" target="_top">Frames</a></li>
<li><a href="ArtifactView.ViewConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ArtifactView.ViewConfiguration" class="title">Interface ArtifactView.ViewConfiguration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a>, <a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;<a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts">ArtifactView</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static interface <span class="strong">ArtifactView.ViewConfiguration</span>
extends <a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a>&lt;<a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&gt;</pre>
<div class="block">Configuration for a defined artifact view.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html#componentFilter(org.gradle.api.specs.Spec)">componentFilter</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/component/ComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component">ComponentIdentifier</a>&gt;&nbsp;componentFilter)</code>
<div class="block">Specify a filter for the components that should be included in this view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html#isLenient()">isLenient</a></strong>()</code>
<div class="block">Determines whether the view should be resolved in a 'lenient' fashion.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html#lenient(boolean)">lenient</a></strong>(boolean&nbsp;lenient)</code>
<div class="block">Specify if the view should be resolved in a 'lenient' fashion.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html#setLenient(boolean)">setLenient</a></strong>(boolean&nbsp;lenient)</code>
<div class="block">Specify if the view should be resolved in a 'lenient' fashion.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasConfigurableAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html" title="interface in org.gradle.api.attributes">HasConfigurableAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasConfigurableAttributes.html#attributes(org.gradle.api.Action)">attributes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.attributes.HasAttributes">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.attributes.<a href="../../../../org/gradle/api/attributes/HasAttributes.html" title="interface in org.gradle.api.attributes">HasAttributes</a></h3>
<code><a href="../../../../org/gradle/api/attributes/HasAttributes.html#getAttributes()">getAttributes</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="componentFilter(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>componentFilter</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&nbsp;componentFilter(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/component/ComponentIdentifier.html" title="interface in org.gradle.api.artifacts.component">ComponentIdentifier</a>&gt;&nbsp;componentFilter)</pre>
<div class="block">Specify a filter for the components that should be included in this view.
 Only artifacts from components matching the supplied filter will be returned by <a href="../../../../org/gradle/api/artifacts/ArtifactView.html#getFiles()"><code>ArtifactView.getFiles()</code></a> or <a href="../../../../org/gradle/api/artifacts/ArtifactView.html#getArtifacts()"><code>ArtifactView.getArtifacts()</code></a>.

 This method cannot be called a multiple times for a view.</div>
</li>
</ul>
<a name="isLenient()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLenient</h4>
<pre>boolean&nbsp;isLenient()</pre>
<div class="block">Determines whether the view should be resolved in a 'lenient' fashion.

 When set to <code>true</code>, this view will resolve as many artifacts and/or files as possible
 collecting any failures.

 When set to <code>false</code>, any failures will be propagated as exceptions when the view is resolved.</div>
</li>
</ul>
<a name="setLenient(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLenient</h4>
<pre>void&nbsp;setLenient(boolean&nbsp;lenient)</pre>
<div class="block">Specify if the view should be resolved in a 'lenient' fashion.

 When set to <code>true</code>, this view will resolve as many artifacts and/or files as possible
 collecting any failures.

 When set to <code>false</code>, any failures will be propagated as exceptions when the view is resolved.</div>
</li>
</ul>
<a name="lenient(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lenient</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts">ArtifactView.ViewConfiguration</a>&nbsp;lenient(boolean&nbsp;lenient)</pre>
<div class="block">Specify if the view should be resolved in a 'lenient' fashion.

 When set to <code>true</code>, this view will resolve as many artifacts and/or files as possible
 collecting any failures.

 When set to <code>false</code>, any failures will be propagated as exceptions when the view is resolved.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ArtifactView.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ClientModule.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ArtifactView.ViewConfiguration.html" target="_top">Frames</a></li>
<li><a href="ArtifactView.ViewConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
